Skip to main content
GET
/
v1
/
wallets
/
{wallet_id}
/
ethereum_yield_vault
Get Ethereum Yield Vault Position
curl --request GET \
  --url https://api.privy.io/v1/wallets/{wallet_id}/ethereum_yield_vault \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
{
  "asset": {
    "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "symbol": "USDC"
  },
  "total_deposited": "1000000",
  "total_withdrawn": "0",
  "assets_in_vault": "1050000",
  "shares_in_vault": "1000000000000000000"
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

wallet_id
string
required

ID of the wallet.

Query Parameters

vault_id
string
required

The vault ID to get position for.

Response

200 - application/json

Yield position retrieved successfully.

A user's position in a yield vault.

asset
object
required
total_deposited
string
required

Total amount deposited into the vault, in smallest unit.

total_withdrawn
string
required

Total amount withdrawn from the vault, in smallest unit.

assets_in_vault
string
required

Current asset value in the vault (realtime from ERC4626), in smallest unit.

shares_in_vault
string
required

Current vault shares held (realtime from ERC4626).